# exif_rad

A simple unix-style cross-platform Python 3 tool which can write certain tags to an image file.

It can scan a couple of images, extract their Exif-tags, and compare the 'DateTimeOriginal' with other sources.

By now it can parse a .his (CSV) file from a GeigerLog file export and calculate the radiation in µS/h using the factor in SIFACTOR.

It then creates a 'UserComment' Exif tag with the actual measured radiation at the time the photo has been taken.

## Dependencies
Right now it depends on the following Python 3 libraries:

  * PIL (core library)
  * datetime (core library)
  * Image (core library)
  * math (core library)
  * piexif
  * gpxpy

## Requirements
  * GeigerCounter log file in csv format as it is being exported by the software GeigerLog. Such files look like this: `149654, 2020-02-27 05:12:42,    13.0,     0.0`
  * A bunch of images (jpg, cr2, etc.) with its time of creation stored in 'DateTimeOriginal'
  * A gpx track

All sources are matched by their timestamp, so all sources have to be recorded during the same time.

## Usage

to-do

## future possibilities

In the future it should also be able to do the same with a gpx-file to extract geolocations and to write them into the appropiate Exif-fields.
